> For the complete documentation index, see [llms.txt](https://docs.cleartax.in/cleartax-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/resources-and-masters/error-master.md).

# (Deprecated) Error Master

{% hint style="danger" %}
This API is deprecated. Please use the [E-Waybill APIs from the unified set available here](/cleartax-docs/e-invoicing-api/introduction-to-e-invoicing-api.md).
{% endhint %}

#### Response Structure:

ClearTax Error response will always tell you 2 things:

1. What is the error?
2. Where is the error?

You can get this error responce with different HTTP status code based on the API you are consuming. Example: You can get it with `400` Bad Request or with `200` OK

The `errors`object under `errorResponse`will always have the list of errors found in your payload. The `message` will explain what the error is and it's always paired with the `error_id`Error response

![](/files/-MDU-oTMNCRVMpIUw-qp)

The `error_sources` object will direct you to the specific field in which the error was found.

![](/files/-MDU0DwYMuakCi_365qH)

#### ClearTax Error message list

| Error Message                                                                     |
| --------------------------------------------------------------------------------- |
| E-Way bill id in url did not match with payload id                                |
| Invalid GSTIN \<GSTINNumberHere>, please provide a valid \<Seller/Receiver> GSTIN |
| Supplier GSTIN is different from the Account GSTIN                                |
| Customer Billing GSTIN is different from the Account GSTIN                        |
| Receiver GSTIN is mandatory for Deemed or SEZ export                              |
| Seller GSTIN is mandatory for Import from SEZ                                     |
| Please add atleast one line item in the invoice before saving                     |
|                                                                                   |
|                                                                                   |
|                                                                                   |
|                                                                                   |
|                                                                                   |
|                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/resources-and-masters/error-master.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
